Create a maintenance window
curl --request POST \
--url https://api.devhelm.io/api/v1/maintenance-windows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repeatRule": "<string>",
"reason": "<string>",
"suppressAlerts": true
}
'import requests
url = "https://api.devhelm.io/api/v1/maintenance-windows"
payload = {
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repeatRule": "<string>",
"reason": "<string>",
"suppressAlerts": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startsAt: '2023-11-07T05:31:56Z',
endsAt: '2023-11-07T05:31:56Z',
monitorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
repeatRule: '<string>',
reason: '<string>',
suppressAlerts: true
})
};
fetch('https://api.devhelm.io/api/v1/maintenance-windows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"suppressAlerts": true,
"createdAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repeatRule": "<string>",
"reason": "<string>"
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Maintenance Windows
Create a maintenance window
Creates a new maintenance window. Set monitorId to null to create an org-wide window that suppresses alerts for all monitors.
POST
/
api
/
v1
/
maintenance-windows
Create a maintenance window
Authorizations
API key (dh_live_...) or Auth0 JWT token
Body
application/json
Scheduled start of the maintenance window (ISO 8601)
Scheduled end of the maintenance window (ISO 8601)
Monitor to attach this maintenance window to; null for org-wide
Reserved: iCal RRULE for recurring windows (stored but not yet honored)
Maximum string length:
100Human-readable reason for the maintenance (max 500 chars)
Maximum string length:
500Whether to suppress alerts during this window (default: true)
Response
Created
Scheduled maintenance window for a monitor
Show child attributes
Show child attributes
⌘I